import { ModuleWithProviders } from "@angular/core";
import { ApplicationDto, AxiosApiClient } from "@smallstack/axios-api-client";
import { ApiConfigurationService, ApplicationLoaderService, BasePathService, EnvironmentService, RouterUtilService, StoreRegistry, TokenService } from "@smallstack/common-components";
import { LocaleService, TranslationLoader } from "@smallstack/i18n-components";
import { IconThemeService } from "@smallstack/theme-components";
import { FrontendTypeRegistry } from "@smallstack/typesystem-client";
import { CustomerStore, MsalLoginService, ProjectUserStore, UserService } from "@smallstack/user-components";
import { SchemaFormInputsRegistry } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
import * as i1 from "./components/application/application.component";
import * as i2 from "./components/content-renderer/content-renderer.component";
import * as i3 from "@angular/common";
import * as i4 from "@angular/router";
import * as i5 from "@smallstack/widget-core";
import * as i6 from "@smallstack/theme-components";
import * as i7 from "@smallstack/cms-components";
import * as i8 from "@smallstack/i18n-components";
import * as i9 from "@smallstack/todo-components";
import * as i10 from "@smallstack/user-components";
import * as i11 from "@smallstack/product-components";
import * as i12 from "@smallstack/rx-components";
import * as i13 from "@smallstack/common-components";
import * as i14 from "@smallstack/store-components";
export declare class SmallstackApplicationModule {
    static bootstrapByApplication(application: ApplicationDto): any;
    static bootstrapByDomain(domain: string): any;
    static bootstrapById(applicationId: string): ModuleWithProviders<SmallstackApplicationModule>;
    static bootstrapByPreviewPath(): any;
    static bootstrapByOrigin(apiUrl: string): Promise<any>;
    constructor(iconThemeService: IconThemeService, axiosApiClient: AxiosApiClient, schemaFormInputsRegistry: SchemaFormInputsRegistry, basePathService: BasePathService, storeRegistry: StoreRegistry, typeRegistry: FrontendTypeRegistry, userStore: ProjectUserStore, customerStore: CustomerStore, routerUtilService: RouterUtilService, applicationLoaderService: ApplicationLoaderService, localeService: LocaleService, translationLoader: TranslationLoader, msalLoginService: MsalLoginService, tokenService: TokenService, apiConfigurationService: ApiConfigurationService, environmentService: EnvironmentService, userService: UserService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SmallstackApplicationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SmallstackApplicationModule, [typeof i1.ApplicationComponent, typeof i2.ContentRendererComponent], [typeof i3.CommonModule, typeof i4.RouterModule, typeof i5.SmallstackWidgetsModule, typeof i6.SmallstackThemeModule, typeof i7.SmallstackCmsModule, typeof i8.SmallstackI18nModule, typeof i9.SmallstackTodoModule, typeof i10.SmallstackUserModule, typeof i11.SmallstackProductModule, typeof i12.SmallstackRxModule, typeof i13.ApplicationLoaderComponent, typeof i13.ConvertToSubjectPipe, typeof i14.LoaderComponent], [typeof i1.ApplicationComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SmallstackApplicationModule>;
}
